Package com.macrofocus.common.interval

# Interface MutableBoundedInterval

All Superinterfaces:
  `BoundedInterval`, `Interval`, `MutableInterval`

All Known Implementing Classes:
  `SimpleBoundedInterval`, `TransformBoundedInterval`

@JsType public interface MutableBoundedInterval extends BoundedInterval, MutableInterval
/** Defines the requirements for a BoundedInterval that can change.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MutableProperty<Double>`
  `getEndProperty()`
  `MutableProperty<Double>`
  `getStartProperty()`
  `void`
  `reset()`
  `void`
  `setEnd(double value)`
  `void`
  `setExtent(double extent)`
  `void`
  `setMaximum(double maximum)`
  `void`
  `setMaximumExtent(double maximumExtent)`
  `void`
  `setMinimum(double minimum)`
  `void`
  `setMinimumExtent(double minimumExtent)`
  `void`
  `setMinMax(double min, double max)`
  `void`
  `setMinMaxExtent(double min, double max, double minExtent, double maxExtent)`
  `void`
  `setStart(double value)`
  `void`
  `setValue(double value, double extent)`

  ### Methods inherited from interface com.macrofocus.common.interval.BoundedInterval

  `addBoundedIntervalListener, addWeakBoundedIntervalListener, getMaximum, getMaximumExtent, getMinimum, getMinimumExtent, isFullRange, isInvertedScale, removeBoundedIntervalListener, removeBoundedIntervalListeners`

  ### Methods inherited from interface com.macrofocus.common.interval.Interval

  `addIntervalListener, addWeakIntervalListener, contains, containsInterval, containsStartEnd, getEnd, getExtent, getStart, isDegenerate, isInverted, overlaps, overlapsInterval, removeIntervalListener, removeIntervalListeners`

- ## Method Details

  - ### setMinimum

    void setMinimum(double minimum)

  - ### setMaximum

    void setMaximum(double maximum)

  - ### setMinimumExtent

    void setMinimumExtent(double minimumExtent)

  - ### setMaximumExtent

    void setMaximumExtent(double maximumExtent)

  - ### setMinMax

    void setMinMax(double min, double max)

  - ### setMinMaxExtent

    void setMinMaxExtent(double min, double max, double minExtent, double maxExtent)

  - ### reset

    void reset()

  - ### getStartProperty

    MutableProperty<Double> getStartProperty()
    Specified by:
      `getStartProperty` in interface `Interval`
    Specified by:
      `getStartProperty` in interface `MutableInterval`

  - ### getEndProperty

    MutableProperty<Double> getEndProperty()
    Specified by:
      `getEndProperty` in interface `Interval`
    Specified by:
      `getEndProperty` in interface `MutableInterval`

  - ### setStart

    void setStart(double value)
    Specified by:
      `setStart` in interface `MutableInterval`

  - ### setEnd

    void setEnd(double value)
    Specified by:
      `setEnd` in interface `MutableInterval`

  - ### setExtent

    void setExtent(double extent)
    Specified by:
      `setExtent` in interface `MutableInterval`

  - ### setValue

    void setValue(double value, double extent)
    Specified by:
      `setValue` in interface `MutableInterval`